Update Proxy Rotation

Update the rotation status of a proxy.

PUT/proxies/update_rotation

Body Parameters

Security

Authorizationstringrequired

JWT Bearer token

Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...

Request Body

idintegerrequired

ID of the proxy to update

is_rotatingbooleanrequired

Enable or disable proxy rotation

1const response = await fetch('https://api.pinguproxy.com/proxies/update_rotation', {
2 method: 'PUT',
3 headers: {
4 'Authorization': 'Bearer your-jwt-token',
5 'Content-Type': 'application/json'
6 },
7 body: JSON.stringify({
8 id: 1,
9 is_rotating: true
10 })
11});
12
13const result = await response.json();

Response

Status 200
{
"is_rotating": true
}

Update Proxy Rotate Interval

Update the rotation interval of a proxy.

PUT/proxies/update_rotate_interval

Body Parameters

Security

Authorizationstringrequired

JWT Bearer token

Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...

Request Body

idintegerrequired

ID of the proxy to update

rotate_intervalintegerrequired

New rotation interval in seconds

1const response = await fetch('https://api.pinguproxy.com/proxies/update_rotate_interval', {
2 method: 'PUT',
3 headers: {
4 'Authorization': 'Bearer your-jwt-token',
5 'Content-Type': 'application/json'
6 },
7 body: JSON.stringify({
8 id: 1,
9 rotate_interval: 300
10 })
11});
12
13const result = await response.json();

Response

Status 200
{
"success": true
}

Update Proxy Label

Update the label of a proxy.

PUT/proxies/update_label

Body Parameters

Security

Authorizationstringrequired

JWT Bearer token

Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...

Request Body

idintegerrequired

ID of the proxy to update

labelstringrequired

New label for the proxy

1const response = await fetch('https://api.pinguproxy.com/proxies/update_label', {
2 method: 'PUT',
3 headers: {
4 'Authorization': 'Bearer your-jwt-token',
5 'Content-Type': 'application/json'
6 },
7 body: JSON.stringify({
8 id: 1,
9 label: 'My Proxy'
10 })
11});
12
13const result = await response.json();

Response

Status 200
true